## freecol 0.7.2

=== doc/Makefile ===
default:html

clean:
	rm -f *~
	rm -Rf FreeCol
	rm -f *.aux
	rm -f *.dvi
	rm -f *.log
	rm -f *.out
	rm -f *.pdf

pdf:clean
	pdflatex FreeCol.tex
	pdflatex FreeCol.tex

html:pdf
	latex2html -show_section_numbers FreeCol.tex

## freecol 0.9.2+dfsg

=== debian/changelog ===
freecol (0.9.2+dfsg-2) unstable; urgency=low

  * Now pass -Xincgc as java argument, as GC crashes apparently do not
    occur using this GC engine. Closes: #583692 (BTW, it seems to
    significantly speed up AI turn)
  * Already conforms to 3.9.0

 -- Vincent Fourmond <fourmond@debian.org>  Wed, 21 Jul 2010 00:44:19 +0200

freecol (0.9.2+dfsg-1) unstable; urgency=low

  * New upstream release (closes: #567803)
  * Switch to 3.0 (quilt) format + bzip2 repackaged archive
  * Droping dependency on libhiglayout-java, apparently not needed anymore
  * New dependencies:
    - libcommons-cli-java
    - libmiglayout-java
    - libcortado-java
  * Dropped dependency on dpatch now that we use format 3.0 (quilt)
  * disable-listener.diff to disabled what seems to be a custom feature
    from cortado

 -- Vincent Fourmond <fourmond@debian.org>  Sun, 07 Mar 2010 18:00:39 +0100

freecol (0.8.4+dfsg-2) unstable; urgency=low

  * Disable IPV6 networking stack by default to work around Java bug
  (see #560056) (closes: #562133)
  * Already conforms to standards 3.8.3
  * Update build-deps to reflect changes in TeXLive

 -- Vincent Fourmond <fourmond@debian.org>  Thu, 07 Jan 2010 22:53:26 +0100

freecol (0.8.4+dfsg-1) unstable; urgency=low

  * New upstream release
  * Minor modifications to the debian/new-upstream script

 -- Vincent Fourmond <fourmond@debian.org>  Sat, 08 Aug 2009 21:27:55 +0200

freecol (0.8.3+dfsg-1) unstable; urgency=low

  * New upstream release
  * Use viewsvn rather than wsvn for the Vcs-Browser field
  * Now use a +dfsg instead of .dfsg (thanks lintian)
  * Already conforms to standards 3.8.2

 -- Vincent Fourmond <fourmond@debian.org>  Sat, 27 Jun 2009 18:01:03 +0200

freecol (0.8.1.dfsg-1) unstable; urgency=low

  * New upstream release (closes: #514363)
    - saves the log in ~/.freecol (closes: #488330)
    - does not mess up language settings (closes: #497076)
  * Adding alternate dependency on the virtual package java6-runtime, since
    all variants seem to be able to run freecol. (closes: #503810)
  * Switched to a machine-readable debian/copyright file
  * Updated to small newer features of java-wrappers (and bumped the 
    version dependency accordingly)
  * Added a debian/README.source to mention the use of a patch system, 
    which makes it now comply to standards 3.8.0
  * Adding ${misc:Depends} for potential debhelper-induced dependencies
  * Refreshed debian/patches/10-fix-jar-path.dpatch
  * Dropped debian/patches/25-change-save-dir.dpatch, superseded by
    upstream modifications
  * Remove unapplied patches
  * Switch to using cdbs for building
  * Update debian/NEWS to mention that save games from earlier
    versions are not compatible.

 -- Vincent Fourmond <fourmond@debian.org>  Tue, 24 Feb 2009 18:55:19 +0100

freecol (0.7.4.dfsg+1-1) unstable; urgency=low

  * Pseudo new upstream release to work around dak's 
    move-from-contrib-to-main bug.
  
 -- Vincent Fourmond <fourmond@debian.org>  Sun, 10 Aug 2008 16:59:02 +0200

freecol (0.7.4.dfsg-2) unstable; urgency=low

  * Fix watchfile to ignore the alpha releases (users and developers
    seem to complain about their stability).
  * Add openjdk in the wrapper script, and tighten up dependency on
    java-wrappers accordingly.
  * freecol can now move to main ! (closes: #491260)
  * Adapted wrapper/freecol to work around a java-wrappers bug
  * Document undocumented patches, and drop 15-fix-jar-manifest which
    really isn't necessary now that we are using java-wrappers.

 -- Vincent Fourmond <fourmond@debian.org>  Sun, 10 Aug 2008 14:42:28 +0200

freecol (0.7.4.dfsg-1) unstable; urgency=low

  * New upstream release.
  * Finally add a .dfsg suffix to the version number, to reflect the
    fact that the upstream tarball is repackaged (since this time I 
    had forgotten that ;-)...).
  * Update debian/new-upstream and debian/watch accordingly

 -- Vincent Fourmond <fourmond@debian.org>  Sun, 22 Jun 2008 09:21:57 +0200

freecol (0.7.3-4) unstable; urgency=low

  * Mmmm, also add openjdk-6 as JAVA_HOME in debian/rules (closes: #480107)

 -- Vincent Fourmond <fourmond@debian.org>  Fri, 16 May 2008 19:21:43 +0200

freecol (0.7.3-3) unstable; urgency=low

  * Adding openjdk-6-* as alternative (Build-)?Deps, thanks to 
    Matvey Kozhev <inetperson@gmail.com> for pointing out (closes: #480107)

 -- Vincent Fourmond <fourmond@debian.org>  Thu, 08 May 2008 08:32:20 +0200

freecol (0.7.3-2) unstable; urgency=low

  * Pushing memory limit to 180M, as it does not work anymore on AMD64 with
    only 128M...

 -- Vincent Fourmond <fourmond@debian.org>  Sat, 03 May 2008 21:18:05 +0200

freecol (0.7.3-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * Remove deprecated Encoding key from .desktop file

  [ Vincent Fourmond ]
  * New upstream release (Closes: #465490)
    - dropped 30-language-option, included upstream
    - updated 10-fix-jar-path and 15-fix-jar-manifest
  * Now providing a debian/new-upstream to repackage upstream tarball
  * Added a NEWS file
  * Switched to java-wrappers for the wrapper script
    - 40-manpage to point the user to java-wrappers(7)

 -- Vincent Fourmond <fourmond@debian.org>  Fri, 29 Feb 2008 23:09:02 +0100

freecol (0.7.2-5) unstable; urgency=low

  * Bumped standards-version to 3.7.3 (no changes required)
  * Added many changes by Matvey Kozhev <sikon@lucidfox.org> for
    Ubuntu (closes: #453836)
    - added a desktop file
    - fix wrapper file position and pathes
    - added icedtea dependencies 
  * Added an icon for the menu 

 -- Vincent Fourmond <fourmond@debian.org>  Fri, 14 Dec 2007 01:18:14 +0100

freecol (0.7.2-4) unstable; urgency=low

  * Pull upstream revision 3270 to add a --default-locale option
  * Used this option to detect when LC_MESSAGES is different from
    LC_CTYPE (Closes: #450944)

 -- Vincent Fourmond <fourmond@debian.org>  Mon, 26 Nov 2007 20:25:41 +0100

freecol (0.7.2-3) unstable; urgency=low



=== debian/control ===
Source: freecol
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Vincent Fourmond <fourmond@debian.org>
Build-Depends: debhelper (>= 5), ant, openjdk-6-jdk, cdbs
Build-Depends-Indep: libwoodstox-java,
 tex4ht, texlive-binaries | texlive-base-bin, ant-optional,
 texlive-latex-recommended, libcommons-cli-java, libmiglayout-java,
 libcortado-java
Standards-Version: 3.9.0
Homepage: http://www.freecol.org
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/freecol
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-games/packages/trunk/freecol

Package: freecol
Architecture: all
Depends: openjdk-6-jre | java6-runtime,
 libwoodstox-java, java-wrappers (>= 0.1.13), ${misc:Depends},
 libcommons-cli-java, libmiglayout-java, libcortado-java
Description: an open version of Colonization
 freecol is a game in the spirit of Civilization but taking place in a
 colonial background. Colonize a new world, build towns, trade or fight
 with natives and other European civilizations, trade with your
 homeland until you're ready to fight for your independance !

=== debian/rules ===
#!/usr/bin/make -f

# debian/rules file for building freecol

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

VERSION = $(shell dpkg-parsechangelog | egrep '^Version' | \
	sed -r 's/Version:\s*//' | sed -r 's/^[0-9]+://' | \
	sed -r 's/(\.dfsg)?-[0-9.]+//')

# export JITC_PROCESSOR_TYPE=6

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk
# include /usr/share/cdbs/1/rules/dpatch.mk

JAVA_HOME_DIRS       := /usr/lib/jvm/java-6-openjdk
ANT_HOME             := /usr/share/ant
DEB_JARS             := ant-launcher ant-nodeps \
	miglayout wstx-lgpl commons-cli cortado
DEB_ANT_COMPILER     := modern
DEB_ANT_BUILD_TARGET := package online-manual print-manual
DEB_BUILDDIR         := .
DEB_ANT_BUILDFILE    := build.xml
DEB_ANT_CLEAN_TARGET := clean

target_jar_dir= debian/freecol/usr/share/java

print-version:
	echo $(VERSION)

install/freecol::
	install -m 644 freecol.jar $(target_jar_dir)/freecol-$(VERSION).jar
	ln -s freecol-$(VERSION).jar $(target_jar_dir)/freecol.jar

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# Don't forget to look into debian/copyright first before packaging
# a new upstream version !!! The watchfile works, but the downloaded
# archive should not go to debian - you need to repackage it.
opts=dversionmangle=s/\+dfsg// \
http://sf.net/freecol/freecol-(?!.*alpha)(.*)-src\.tar\.gz debian debian/new-upstream

## freecol 0.10.0+dfsg

=== debian/changelog ===
freecol (0.10.0+dfsg-5) unstable; urgency=low
 
  [ Giovanni Mascellani ]
  * Remove the libwoodstox-java dependency, which isn't necessary. 
  (closes: #650745)

  [ Vincent Fourmond ]
  * Fix classpath, which fixes problems with starting the game when newer
    woodstox is installed (closes: #657866)

 -- Vincent Fourmond <fourmond@debian.org>  Sun, 29 Jan 2012 16:04:03 +0100

freecol (0.10.0+dfsg-4) unstable; urgency=low
  
  * Handle the rename of ttf-liberation to fonts-liberation (and the
    corresponding file rename)

 -- Vincent Fourmond <fourmond@debian.org>  Mon, 24 Oct 2011 19:28:57 +0200

freecol (0.10.0+dfsg-3) unstable; urgency=low

  * Fix FTBS with recent openjdk-6 (closes: #642788)

 -- Vincent Fourmond <fourmond@debian.org>  Thu, 29 Sep 2011 21:40:24 +0200

freecol (0.10.0+dfsg-2) unstable; urgency=low

  * Refrain from installing the Liberation fonts, and symlink from those
    in ttf-liberation
  * Use javahelper for dependencies

 -- Vincent Fourmond <fourmond@debian.org>  Sat, 25 Jun 2011 21:44:41 +0200

freecol (0.10.0+dfsg-1) unstable; urgency=low

  * New upstream release (closes: #631611)
  * Disable disable-listener.diff, now incorporated upstream (thanks !)
  * Refreshed other patches
  * Now using javahelper to handle installation and classpath tweaks (I
    can't decently ignore lintian warnings I wrote ;-)...)
  * Pass -Dbuild.sysclasspath=only to ant to fully ignore classpath in
    the build file.
  * Conforms to newer standards (3.9.2)
  * Small improvements in the package description
  * Increase a bit the memory allocated to freecol

 -- Vincent Fourmond <fourmond@debian.org>  Sat, 25 Jun 2011 18:18:38 +0200

=== debian/control ===
Source: freecol
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Vincent Fourmond <fourmond@debian.org>
Build-Depends: debhelper (>= 5), ant, openjdk-6-jdk, cdbs
Build-Depends-Indep:
 tex4ht, texlive-binaries | texlive-base-bin, ant-optional,
 texlive-latex-recommended, libcommons-cli-java, libmiglayout-java,
 libcortado-java, javahelper
Standards-Version: 3.9.2
Homepage: http://www.freecol.org
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/freecol
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-games/packages/trunk/freecol

Package: freecol
Architecture: all
Depends: openjdk-6-jre | java6-runtime,
 java-wrappers (>= 0.1.13), ${misc:Depends}, ${java:Depends},
 fonts-liberation (>= 1.07.0-2~)
Description: open source remake of the old Colonization
 freecol is a game in the spirit of Civilization but taking place in a
 colonial background. Colonize the new world, build towns, trade or
 fight with natives and other European civilizations, trade with your
 homeland until you're ready to fight for your independance !

=== debian/rules ===
#!/usr/bin/make -f

# debian/rules file for building freecol

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

VERSION = $(shell dpkg-parsechangelog | egrep '^Version' | \
	sed -r 's/Version:\s*//' | sed -r 's/^[0-9]+://' | \
	sed -r 's/(\.dfsg)?-[0-9.]+//')

# export JITC_PROCESSOR_TYPE=6

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/javahelper.mk
include /usr/share/cdbs/1/class/ant.mk

arch = $(shell dpkg-architecture -qDEB_HOST_ARCH)

JAVA_HOME_DIRS       := /usr/lib/jvm/java-7-openjdk-$(arch) \
	/usr/lib/jvm/java-6-openjdk-$(arch) /usr/lib/jvm/java-6-openjdk
ANT_HOME             := /usr/share/ant
DEB_JARS             := ant-launcher ant-nodeps \
	miglayout commons-cli cortado
DEB_ANT_COMPILER     := modern
DEB_ANT_BUILD_TARGET := package online-manual print-manual
DEB_BUILDDIR         := .
DEB_ANT_BUILDFILE    := build.xml
DEB_ANT_CLEAN_TARGET := clean
# Override build classpath
ANT_OPTS             := -Dbuild.sysclasspath=only

LIBERATION_FONTS     := LiberationSerif-Bold.ttf LiberationSerif-BoldItalic.ttf LiberationSerif-Italic.ttf LiberationSerif-Regular.ttf 

# Refrain from installing those files
DEB_DH_INSTALL_ARGS  = $(patsubst %,-X%, $(LIBERATION_FONTS)) 

DEB_DH_LINK_freecol  = $(foreach file, $(LIBERATION_FONTS), usr/share/fonts/truetype/liberation/$(file) usr/share/games/freecol/base/resources/fonts/$(file))

## freecol 0.10.5+dfsg

=== debian/changelog ===
freecol (0.10.5+dfsg-1ubuntu1~ubuntu12.04.1) precise-backports; urgency=low

  * No-change backport to precise (LP: #1183154)

 -- Felix Geyer <debfx@ubuntu.com>  Thu, 23 May 2013 19:40:00 +0200

freecol (0.10.5+dfsg-1ubuntu1) quantal; urgency=low

  * debian/control:
    - Use default-jdk and default-jre instead of hard coding openjdk-6.
      Fixes FTBFS.

 -- Michael Terry <mterry@ubuntu.com>  Tue, 31 Jul 2012 17:06:50 -0400

freecol (0.10.5+dfsg-1) unstable; urgency=low

  * New upstream release
  * Bump standards version
  * Refresh patches/40-manpage.diff

 -- Vincent Fourmond <fourmond@debian.org>  Tue, 06 Mar 2012 00:10:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: freecol
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Vincent Fourmond <fourmond@debian.org>
-Build-Depends: debhelper (>= 5), ant, openjdk-6-jdk, cdbs
+Build-Depends: debhelper (>= 5), ant, default-jdk, cdbs
 Build-Depends-Indep:
  tex4ht, texlive-binaries | texlive-base-bin, ant-optional,
  texlive-latex-recommended, libcommons-cli-java, libmiglayout-java,
  libcortado-java, javahelper
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.freecol.org
 Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/freecol
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-games/packages/trunk/freecol
 
 Package: freecol
 Architecture: all
-Depends: openjdk-6-jre | java6-runtime,
+Depends: default-jre | java6-runtime,
  java-wrappers (>= 0.1.13), ${misc:Depends}, ${java:Depends},
  fonts-liberation (>= 1.07.0-2~)
 Description: open source remake of the old Colonization

## freecol 0.10.7+dfsg

=== debian/changelog ===
freecol (0.10.7+dfsg-2) unstable; urgency=low

  * Now depend on texlive-fonts-recommended, to fix FTBS (closes: #738091)
  * Already conforms to standards 3.9.5

 -- Vincent Fourmond <fourmond@debian.org>  Sat, 08 Feb 2014 23:29:59 +0100

freecol (0.10.7+dfsg-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 3.9.4, no changes.
  * Bump compat level to 9, require debhelper >= 9.
  * debian/control:
    - Remove versioned dependencies. They are trivially satisfied in Debian.
    - Switch to default-jdk. (Closes: #683450)
  * Drop README.source. Dpatch is not in use anymore.
  * debian/rules: Set JAVA_HOME_DIRS to default-jdk.
  * freecol.desktop: Add keywords and a comment in German.
  * Remove disable-listener.diff. The patch was disabled and incorporated
    upstream.
  * Install data/freecol.png to /usr/share/pixmaps. Use a higher resolution
    desktop icon.
  * Update debian/copyright to copyright format 1.0.
  * Register freecol documentation with doc-base. Add freecol.doc-base.

  [Evgeni Golov]
  * Correct Vcs-* URLs to point to anonscm.debian.org

 -- Markus Koschany <apo@gambaru.de>  Sun, 25 Aug 2013 13:11:53 +0200

=== debian/control ===
Source: freecol
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Vincent Fourmond <fourmond@debian.org>
Build-Depends:
 ant,
 cdbs,
 debhelper (>= 9),
 default-jdk
Build-Depends-Indep:
 ant-optional,
 javahelper,
 libcommons-cli-java,
 libcortado-java,
 libmiglayout-java,
 tex4ht,
 texlive-binaries | texlive-base-bin,
 texlive-latex-recommended,
 texlive-fonts-recommended
Standards-Version: 3.9.5
Homepage: http://www.freecol.org
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/freecol
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/freecol

Package: freecol
Architecture: all
Depends:
 default-jre | java7-runtime,
 fonts-liberation,
 java-wrappers,
 ${java:Depends},
 ${misc:Depends}
Description: open source remake of the old Colonization
 freecol is a game in the spirit of Civilization but taking place in a
 colonial background. Colonize the new world, build towns, trade or
 fight with natives and other European civilizations, trade with your
 homeland until you're ready to fight for your independance !

=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,7 @@
 
 arch = $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-JAVA_HOME_DIRS       := /usr/lib/jvm/java-7-openjdk-$(arch) \
-	/usr/lib/jvm/java-6-openjdk-$(arch) /usr/lib/jvm/java-6-openjdk
+JAVA_HOME_DIRS       := /usr/lib/jvm/default-java
 ANT_HOME             := /usr/share/ant
 DEB_JARS             := ant-launcher ant-nodeps \
 	miglayout commons-cli cortado

## freecol 0.11.6%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export CLASSPATH=/usr/share/java/cortado.jar:/usr/share/java/miglayout.jar:/usr/share/java/commons-cli.jar
export JAVA_TOOL_OPTIONS=-Dfile.encoding=UTF8

%:
	dh $@ --with javahelper --buildsystem=ant

override_dh_auto_build:
	dh_auto_build -- \
		-Dbuild.sysclasspath=only \
		package \
		online-manual \
		print-manual

override_dh_clean:
	dh_clean
	$(RM) src/MANIFEST.MF

get-orig-source:
	uscan --verbose --download-current-version --force-download --repack --compression xz

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://sf.net/freecol/freecol-(?!.*alpha)(.*)-src\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)

## freecol 0.11.6+dfsg

=== debian/changelog ===
freecol (0.11.6+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.11.6+dfsg. (Closes: #807712)
  * Switch from cdbs to dh sequencer.
  * Move the package to Git.
  * Add myself to Uploaders.
  * wrap-and-sort -sa.
  * Use only Build-Depends field.
  * freecol.classpath: Use absolute paths.
  * Remove dirs file because install files achieve the same.
  * Remove NEWS file because it is outdated and no longer relevant.
  * Use Files-Excluded mechanism. Provide a get-orig-source target
    and remove freecol-dist-targz.diff and new-upstream files.
  * Drop 10-fix-jar-path.diff. Obsolete.
  * Drop 40-manpage.diff. Outdated.
  * Rebase commons-cli-1.3.patch for new release.
  * Update installation path of freecol.xpm icon.
  * Install upstream's README file.
  * Start Freecol in windowed mode by default.
  * Drop README.Debian.
  * Use /bin/sh and set -e for wrapper script.
  * Install freecols appdata file to /usr/share/appdata.
  * Update debian/copyright for new release.
  * Do not depend on fonts-liberation anymore. These fonts are no longer
    included.
  * Depend on openjdk-8-jre | java8-runtime. The game requires Java 8 now.
  * Add freecol.lintian-overrides and override the warning about Java 8 class
    files.
  * Provide freecol.6 man page with debian directory. Unfortunately the man
    page was removed upstream.
  * debian/rules: Ensure that the package can be built twice in a row and
    override dh_clean.

 -- Markus Koschany <apo@debian.org>  Sun, 20 Dec 2015 20:01:51 +0100

freecol (0.10.7+dfsg-4) unstable; urgency=medium

  [ Markus Koschany ]
  * Team upload.
  * Add commons-cli-1.3.patch and fix java.lang.ClassCastException due to
    deprecated and different methods in libcommons-cli-java version 1.3.1.
    Thanks to Emmanuel Fleury for the report. (Closes: #798699)

  [ Vincent Fourmond ]
  * Conforms to recent standards
  * Cleanup a tidbit the debian/copyright file

 -- Vincent Fourmond <fourmond@debian.org>  Sat, 19 Sep 2015 22:32:50 +0200

freecol (0.10.7+dfsg-3) unstable; urgency=medium

  * Disable intro video to avoid hanging at startup (closes: #771700)

 -- Vincent Fourmond <fourmond@debian.org>  Mon, 01 Dec 2014 21:30:25 +0100

=== debian/control ===
Source: freecol
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Vincent Fourmond <fourmond@debian.org>,
 Markus Koschany <apo@debian.org>
Build-Depends:
 ant,
 ant-optional,
 debhelper (>= 9),
 javahelper,
 libcommons-cli-java,
 libcortado-java,
 libmiglayout-java,
 openjdk-8-jdk,
 tex4ht,
 texlive-binaries | texlive-base-bin,
 texlive-fonts-recommended,
 texlive-latex-recommended
Standards-Version: 3.9.6
Homepage: http://www.freecol.org
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/freecol.git
Vcs-Git: git://anonscm.debian.org/pkg-games/freecol.git

Package: freecol
Architecture: all
Depends:
 java-wrappers,
 openjdk-8-jre | java8-runtime,
 ${java:Depends},
 ${misc:Depends}
Description: open source remake of the old Colonization
 freecol is a game in the spirit of Civilization but taking place in a
 colonial background. Colonize the new world, build towns, trade or
 fight with natives and other European civilizations, trade with your
 homeland until you're ready to fight for your independance !

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# Don't forget to look into debian/copyright first before packaging
# a new upstream version !!! The watchfile works, but the downloaded
# archive should not go to debian - you need to repackage it.
opts=dversionmangle=s/\+dfsg// \
http://sf.net/freecol/freecol-(?!.*alpha)(.*)-src\.zip debian debian/new-upstream

## freecol 0.11.6+dfsg2

=== debian/changelog ===
freecol (0.11.6+dfsg2-3) unstable; urgency=medium

  * Switch to debhelper-compat = 12.
  * Declare compliance with Debian Policy 4.5.0.
  * Use canonical VCS URI.
  * Remove get-orig-source target.
  * Build-depend on texlive-latex-extra to fix FTBFS. (Closes: #952295)
  * Fix CVE-2018-1000825: XML External Entity (XXE) vulnerability.
    (Closes: #917023)
  * valid-appdata.patch: Fix all appstream errors. (Closes: #907756)

 -- Markus Koschany <apo@debian.org>  Mon, 24 Feb 2020 13:00:43 +0100

freecol (0.11.6+dfsg2-2) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.2.1.
  * Update freecol wrapper and remove obsolete -Xincgc option. The game will
    start with OpenJDK 10 and newer again.
    Thanks to Johannes Kloos and James Turner for the report. (Closes: #907661)
    (LP: #1772244)

 -- Markus Koschany <apo@debian.org>  Fri, 31 Aug 2018 19:22:57 +0200

freecol (0.11.6+dfsg2-1) unstable; urgency=medium

  [ Stephen Kitt ]
  * Remove Vincent Fourmond from Uploaders, at his request
    (Closes: #897288)

  [ Reiner Herrmann ]
  * Request texlive to honour SOURCE_DATE_EPOCH for dates in documents

  [ Markus Koschany ]
  * New upstream version 0.11.6+dfsg2. Repack the tarball and remove the build
    directory. (Closes: #885725)
  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.1.4.
  * Install appdata file into canonical directory and make it valid.

 -- Markus Koschany <apo@debian.org>  Wed, 23 May 2018 17:53:13 +0200

freecol (0.11.6+dfsg-2) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.0.0.
  * Switch to compat level 10.
  * Use the default-jdk instead of a specific JDK.
  * Use the secure Vcs-URL.
  * Depend on default-jre (>=2:1.8).
  * Use https for Format field.
  * Drop deprecated menu file and xpm icon.
  * Drop freecol.lintian-overrides.

 -- Markus Koschany <apo@debian.org>  Fri, 07 Jul 2017 00:12:45 +0200

=== debian/control ===
Source: freecol
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@debian.org>
Build-Depends:
 ant,
 ant-optional,
 debhelper-compat (= 12),
 default-jdk (>= 2:1.8),
 javahelper,
 libcommons-cli-java,
 libcortado-java,
 libmiglayout-java,
 tex4ht,
 texlive-binaries | texlive-base-bin,
 texlive-fonts-recommended,
 texlive-latex-extra,
 texlive-latex-recommended
Standards-Version: 4.5.0
Homepage: http://www.freecol.org
Vcs-Browser: https://salsa.debian.org/games-team/freecol
Vcs-Git: https://salsa.debian.org/games-team/freecol.git

Package: freecol
Architecture: all
Depends:
 default-jre (>= 2:1.8) | java8-runtime,
 java-wrappers,
 ${java:Depends},
 ${misc:Depends}
Description: open source remake of the old Colonization
 freecol is a game in the spirit of Civilization but taking place in a
 colonial background. Colonize the new world, build towns, trade or
 fight with natives and other European civilizations, trade with your
 homeland until you're ready to fight for your independence !

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export CLASSPATH=/usr/share/java/cortado.jar:/usr/share/java/miglayout.jar:/usr/share/java/commons-cli.jar
export JAVA_TOOL_OPTIONS=-Dfile.encoding=UTF8
export FORCE_SOURCE_DATE=1

%:
	dh $@ --with javahelper --buildsystem=ant

override_dh_auto_build:
	dh_auto_build -- \
		-Dbuild.sysclasspath=only \
		package \
		online-manual \
		print-manual

override_dh_clean:
	dh_clean
	$(RM) src/MANIFEST.MF

## freecol 0.11.6+dfsg2-3+9.0trisquel1

=== debian/changelog ===
freecol (0.11.6+dfsg2-3+9.0trisquel1) etiona; urgency=medium

  * Backport a maintained version of freecol into etiona (LP:#1772244)

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 16 Jan 2022 18:36:59 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends:
  ant,
  ant-optional,
- debhelper-compat (= 12),
+ debhelper-compat (= 11),
  default-jdk (>= 2:1.8),
  javahelper,
  libcommons-cli-java,

## freecol 0.13.0

=== debian/changelog ===
freecol (0.13.0-2) unstable; urgency=medium

  * Fix the wrapper script and require Java 11.

 -- Markus Koschany <apo@debian.org>  Sun, 07 Aug 2022 18:43:41 +0200

freecol (0.13.0-1) unstable; urgency=medium

  * New upstream version 0.13.0.
  * Drop CVE-2018-1000825.patch and commons-cli-1.3.patch. Fixed upstream.
  * Refresh valid-appdata.patch.
  * Build-Depend on libfindbugs-annotations-java.
  * Tighten JVM dependency (>= 11).
  * Use debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.6.1.

 -- Markus Koschany <apo@debian.org>  Sun, 07 Aug 2022 17:10:32 +0200

=== debian/control ===
--- 
+++ 
@@ -7,26 +7,27 @@
 Build-Depends:
  ant,
  ant-optional,
- debhelper-compat (= 11),
- default-jdk (>= 2:1.8),
+ debhelper-compat (= 13),
+ default-jdk (>= 2:1.11),
  javahelper,
  libcommons-cli-java,
  libcortado-java,
+ libfindbugs-annotations-java,
  libmiglayout-java,
  tex4ht,
  texlive-binaries | texlive-base-bin,
  texlive-fonts-recommended,
  texlive-latex-extra,
  texlive-latex-recommended
-Standards-Version: 4.5.0
-Homepage: http://www.freecol.org
+Standards-Version: 4.6.1
+Homepage: https://www.freecol.org
 Vcs-Browser: https://salsa.debian.org/games-team/freecol
 Vcs-Git: https://salsa.debian.org/games-team/freecol.git
 
 Package: freecol
 Architecture: all
 Depends:
- default-jre (>= 2:1.8) | java8-runtime,
+ default-jre (>= 2:1.11) | java11-runtime,
  java-wrappers,
  ${java:Depends},
  ${misc:Depends}

## freecol 1.0.0

=== debian/changelog ===
freecol (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0.
  * Declare compliance with Debian Policy 4.6.2.
  * Refresh valid-appdata.patch.
  * freecol wrapper: Increase memory usage to 2000 MB otherwise the game will
    not start.

 -- Markus Koschany <apo@debian.org>  Sat, 21 Jan 2023 15:46:54 +0100

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg2// \
http://sf.net/freecol/freecol-(?!.*alpha)(.*)-src\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)

## freecol 1.1.0

=== debian/changelog ===
freecol (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0.

 -- Markus Koschany <apo@debian.org>  Sun, 02 Jul 2023 22:55:46 +0200

## freecol 1.2.0

=== debian/changelog ===
freecol (1.2.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 1.2.0
  * Remove patch applied upstream
  * Html doc is gone ? (Closes: #1073467)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 16 Oct 2024 11:50:25 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  texlive-fonts-recommended,
  texlive-latex-extra,
  texlive-latex-recommended
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.freecol.org
 Vcs-Browser: https://salsa.debian.org/games-team/freecol
 Vcs-Git: https://salsa.debian.org/games-team/freecol.git

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
-export CLASSPATH=/usr/share/java/cortado.jar:/usr/share/java/miglayout.jar:/usr/share/java/commons-cli.jar
+export CLASSPATH=/usr/share/java/cortado.jar:/usr/share/java/miglayout.jar:/usr/share/java/commons-cli.jar:/usr/share/java/findbugs-annotations.jar
 export JAVA_TOOL_OPTIONS=-Dfile.encoding=UTF8
 export FORCE_SOURCE_DATE=1

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg2// \
http://sf.net/freecol/freecol-(?!.*alpha)(.*)-src\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)
